package com.pbd.t1sql.server;
import org.eclipse.edt.javart.resources.*;
import org.eclipse.edt.javart.*;
import eglx.lang.SysLib;
import org.eclipse.edt.runtime.java.eglx.lang.EList;
import java.util.List;
import eglx.lang.AnyException;
import eglx.json.JsonLib;
import eglx.persistence.sql.SQLDataSource;
import org.eclipse.edt.runtime.java.eglx.lang.EAny;
import com.pbd.t1sql.common.ENGTAPEF;
@SuppressWarnings("unused")
@javax.xml.bind.annotation.XmlRootElement(name="DataLib")
public class DataLib extends ExecutableBase {
	private static final long serialVersionUID = 10L;
	public DataLib() {
		super();
		ezeInitialize();
	}
	public void ezeInitialize() {
	}
	public List<ENGTAPEF> getTapes() {
		List<ENGTAPEF> tapes = EList.ezeNew(ENGTAPEF.class);
		try {
			SQLDataSource ds;
			ds = org.eclipse.edt.runtime.java.eglx.lang.EAny.ezeCast(SysLib.getResource("DB2CONN1"), SQLDataSource.class);
			try {
				java.sql.PreparedStatement ezeStatement = (java.sql.PreparedStatement)ds.getStatement("com.pbd.t1sql.server.DataLib", 0);
				if (ezeStatement== null) {
					String stmtStr = "select * from ENGTAPEF order by ETPART";
					ezeStatement = ds.getConnection().prepareStatement(stmtStr);
					ds.registerStatement("com.pbd.t1sql.server.DataLib", 0, ezeStatement);
				}
				java.sql.ResultSet eze$Temp1 = ezeStatement.executeQuery();
				List<ENGTAPEF> ezeList = EList.ezeNew(ENGTAPEF.class);
				while(eze$Temp1.next()) {
					ENGTAPEF eze$Temp2 = new ENGTAPEF();
					eze$Temp2.ETPART = eze$Temp1.getString(1);
					eze$Temp2.ETDESCR = eze$Temp1.getString(2);
					eze$Temp2.ETWEIGHT = eze$Temp1.getBigDecimal(3);
					eze$Temp2.ETWIDTH = eze$Temp1.getBigDecimal(4);
					eze$Temp2.ETTHICK = eze$Temp1.getBigDecimal(5);
					eze$Temp2.ETGNAME = eze$Temp1.getString(6);
					eze$Temp2.ETNOTES = eze$Temp1.getString(7);
					eze$Temp2.ETNATTN = eze$Temp1.getString(8);
					eze$Temp2.ETTYPE = eze$Temp1.getString(9);
					eze$Temp2.ETSFACT = eze$Temp1.getBigDecimal(10);
					eze$Temp2.ETTFACT = eze$Temp1.getBigDecimal(11);
					eze$Temp2.ETENUS = eze$Temp1.getString(12);
					eze$Temp2.ETENPG = eze$Temp1.getString(13);
					eze$Temp2.ETLACT = eze$Temp1.getString(14);
					eze$Temp2.ETLAUS = eze$Temp1.getString(15);
					eze$Temp2.ETLAPG = eze$Temp1.getString(16);
					ezeList.add(eze$Temp2);
				}
				tapes = ezeList;
				eze$Temp1.close();
			}
			catch(java.sql.SQLException ezeEx) {
				throw org.eclipse.edt.javart.util.JavartUtil.makeEglException(ezeEx);
			}
			;
		}
		catch ( java.lang.Exception eze$Temp3 )
		{
			org.eclipse.edt.javart.util.JavartUtil.checkHandleable( eze$Temp3 );
			AnyException exception;
			if ( eze$Temp3 instanceof AnyException )
			{
				exception = (AnyException)eze$Temp3;
			}
			else
			{
				exception = org.eclipse.edt.javart.util.JavartUtil.makeEglException(eze$Temp3);
			}
			{
				SysLib.writeStdout(JsonLib.convertToJSON(org.eclipse.edt.runtime.java.eglx.lang.EAny.ezeWrap(exception)));
			}
		}
		return tapes;
	}
}
